module Goldie
  class Database
    def initialize(adapter, path)
      @adapter, @path = adapter, path
      ActiveRecord::Base.establish_connection(adapter: @adapter, database: @path)
      generate_schema unless File.exists? @path
    end

    def generate_schema
      ActiveRecord::Schema.define do
        create_table :items do |t|
          t.string :title, null: false
          t.integer :weight, null: false, default: 1
          t.integer :weight_completed, null: false, default: 0
          t.boolean :archived, null: false, default: false
          t.timestamps
        end
      end
    end
  end
end
